package com.admost.flutter_plugin_deneme_example

import admost.sdk.AdMostViewBinder
import android.os.Bundle
import android.util.Log
import androidx.annotation.NonNull
import com.admost.admost_flutter_plugin.AdmostFLTNativeAdBinder
import io.flutter.embedding.android.FlutterActivity
import io.flutter.embedding.engine.FlutterEngine
import io.flutter.embedding.engine.plugins.shim.ShimPluginRegistry
import io.flutter.plugins.GeneratedPluginRegistrant

class MainActivity: FlutterActivity() {
  override fun onCreate(savedInstanceState: Bundle?) {
    super.onCreate(savedInstanceState)
      val shimPluginRegistry = flutterEngine?.let { ShimPluginRegistry(it) }

    val binder: AdMostViewBinder = admost.sdk.AdMostViewBinder.Builder(R.layout.custom_layout_flutter)
            .iconImageId(R.id.admost_flutter_icon)
            .titleId(R.id.admost_flutter_title)
            .callToActionId(R.id.admost_flutter_cta)
            .textId(R.id.admost_flutter_detail)
            .attributionId(R.id.admost_flutter_attribution)
            .mainImageId(R.id.admost_flutter_main_image)
            .backImageId(R.id.admost_flutter_back_image)
            .privacyIconId(R.id.admost_flutter_ad_choices)
            .isRoundedMode(true)
            .build()

    AdmostFLTNativeAdBinder.getInstance().binder = binder;

    GeneratedPluginRegistrant.registerWith(shimPluginRegistry)
  }

    /*override fun configureFlutterEngine(@NonNull flutterEngine: FlutterEngine) {
        val shimPluginRegistry = ShimPluginRegistry(flutterEngine)
        GeneratedPluginRegistrant.registerWith(shimPluginRegistry)
    }*/
}
