package com.admost.example


import admost.sdk.AdMostViewBinder
import android.os.Bundle
import android.util.Log
import com.admost.admost_flutter_plugin.AdmostFLTNativeAdBinder
import com.admost.flutter_plugin_deneme_example.R
import io.flutter.embedding.android.FlutterActivity


class MainActivity: FlutterActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        val binder: AdMostViewBinder = admost.sdk.AdMostViewBinder.Builder(R.layout.custom_layout_flutter)
                .iconImageId(R.id.admost_flutter_icon)
                .titleId(R.id.admost_flutter_title)
                .callToActionId(R.id.admost_flutter_cta)
                .textId(R.id.admost_flutter_detail)
                .attributionId(R.id.admost_flutter_attribution)
                .mainImageId(R.id.admost_flutter_main_image)
                .backImageId(R.id.admost_flutter_back_image)
                .privacyIconId(R.id.admost_flutter_ad_choices)
                .isRoundedMode(true)
                .build()

        AdmostFLTNativeAdBinder.getInstance().binder = binder;
    }
}
